ref: 408b4f3abef139edb0cdd2ae4c09778d42566fe4
parent: 2d44d8912edddbe52950580c371e0d970ccef548
author: cbagwell <cbagwell>
date: Thu Mar 20 20:04:04 EDT 2008
bourne shell won't let you ! a return code.
--- a/src/tests.sh
+++ b/src/tests.sh
@@ -100,7 +100,8 @@
if test -f $intermediateReference
then
- if ! execute cmp -s $intermediateReference intermediate.$format2Ext
+ cmp -s $intermediateReference intermediate.$format2Ext
+ if [ "$?" != "0" ]
then
echo "*FAIL* channels=$channels \"$format1Text\" ---> \"$format2Text\"."
exit 1 # This allows failure inspection.